scala.dbc.statement
class Transaction

[source: `scala/dbc/statement/Transaction.scala`]

`case` `class` Transaction[ResultType](`val` transactionBody : (Database) => ResultType, `val` accessMode : Option[AccessMode], `val` isolationLevel : Option[IsolationLevel])
  `extends` Statement `with` Product

  A statement that changes the status of the database.

Method Summary
`override def` | equals (arg0 : Any) : Boolean
`def` | execute (database : Database, debug : Boolean) : Status[ResultType]
`def` | execute (database : Database) : Status[ResultType]
`override def` | hashCode : Int
`override final def` | productArity : Int return k for a product `A(x_1,...,x_k))`
`override final def` | productElement (arg0 : Int) : Any for a case class `A(x_1,...,x_k))`, returns `x_(i+1)` for `0 <= i < k`
`override final def` | productPrefix : String By default the empty string. Implementations may override this method in order to prepend a string prefix to the result of the toString methods.
`def` | sqlAbortString : String
`def` | sqlCommitString : String
`def` | sqlStartString : String A SQL-99 compliant string representation of the statement.
`override def` | toString : String

Methods inherited from Product
element, arity

Methods inherited from AnyRef
getClass, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`` `def` sqlStartString : String

  A SQL-99 compliant string representation of the statement.

`` `def` sqlCommitString : String

`` `def` sqlAbortString : String

`` `def` execute(database : Database) : Status[ResultType]

`` `def` execute(database : Database, debug : Boolean) : Status[ResultType]

`override` `def` hashCode : Int

`override` `def` toString : String

`override` `def` equals(arg0 : Any) : Boolean

`override final` `def` productPrefix : String

  By default the empty string. Implementations may override this method in order to prepend a string prefix to the result of the toString methods.

Overrides
  Product.productPrefix

`override final` `def` productArity : Int

  return k for a product `A(x_1,...,x_k))`

Overrides
  Product.productArity

`override final` `def` productElement(arg0 : Int) : Any

  for a case class `A(x_1,...,x_k))`, returns `x_(i+1)` for `0 <= i < k`

Parameters
  `n -` the position of the n-th element
Throws
  `IndexOutOfBoundsException -`
Returns
  ...

Overrides
  Product.productElement